org.eclipse.jetty.servlet

## Class ServletMapping

- java.lang.Object
- - org.eclipse.jetty.servlet.ServletMapping

-     public class ServletMapping
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletMapping()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dump(java.lang.Appendable out, java.lang.String indent)`
    `java.lang.String[]` | `getPathSpecs()`
    `java.lang.String` | `getServletName()`
    `void` | `setPathSpec(java.lang.String pathSpec)`
    `void` | `setPathSpecs(java.lang.String[] pathSpecs)`
    `void` | `setServletName(java.lang.String servletName)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletMapping

          public ServletMapping()

  - ### Method Detail

    - #### getPathSpecs

          public java.lang.String[] getPathSpecs()

      Returns:
        Returns the pathSpecs.

    - #### getServletName

          public java.lang.String getServletName()

      Returns:
        Returns the servletName.

    - #### setPathSpecs

          public void setPathSpecs(java.lang.String[] pathSpecs)

      Parameters:
        `pathSpecs` - The pathSpecs to set.

    - #### setPathSpec

          public void setPathSpec(java.lang.String pathSpec)

      Parameters:
        `pathSpec` - The pathSpec to set.

    - #### setServletName

          public void setServletName(java.lang.String servletName)

      Parameters:
        `servletName` - The servletName to set.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public void dump(java.lang.Appendable out,
                  java.lang.String indent)
                    throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.